Bug 1899649 - HPA monitoring cpu utilization fails for deployments which have init containers
Summary: HPA monitoring cpu utilization fails for deployments which have init containers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.4.z
Assignee: Joel Smith
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On: 1897313
Blocks: 1903780
TreeView+ depends on / blocked
 
Reported: 2020-11-19 17:44 UTC by OpenShift BugZilla Robot
Modified: 2021-01-13 18:14 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-13 18:14:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift k8s-prometheus-adapter pull 38 0 None closed [release-4.4] Bug 1899649: Populate both CPU and Memory resource container metrics if one is specified 2021-01-19 18:20:55 UTC
Red Hat Product Errata RHBA-2021:0029 0 None None None 2021-01-13 18:14:45 UTC

Comment 3 Weinan Liu 2020-12-15 03:12:55 UTC
Following Per-merge verify processs to wait for the BZ go to Verified. However it did not go well after waiting for days.
Verified as per comment1

Comment 6 errata-xmlrpc 2021-01-13 18:14:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.32 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0029


Note You need to log in before you can comment on or make changes to this bug.